noinst_LIBRARIES=libconf.a
TESTS=test
EXTRA_PROGRAMS=cnf_save test
INCLUDES=-I$(top_srcdir)/crypto

libconf_a_SOURCES=conf.c conf_err.c

EXTRA_DIST=Makefile.ssl conf.err conf.h conf_lcl.h keysets.pl ssleay.cnf

cnf_save_SOURCES=cnf_save.c
cnf_save_LDADD=-lcrypto
cnf_save_LDFLAGS=-L$(top_builddir)/crypto
cnf_save_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

test_SOURCES=test.c
test_LDADD=-lcrypto
test_LDFLAGS=-L$(top_builddir)/crypto
test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

errors conf_err.c conf.h: conf.err
	perl $(top_srcdir)/util/err-ins.pl conf.err conf.h
	perl $(top_srcdir)/crypto/err/err_genc.pl conf.h conf_err.c

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
